Subject: [manet] DLEP IP addr redundant add/drop question

From: "Wiggins, David - 0665 - MITLL" <[email-masked]>
Date: Thu, 4 Aug 2016 12:52:37 +0000

When an IPv4/6 Address or Attached Subnet data item appears with Flags=Add,
but the  given address has already been added, should it be ignored, or is
that an error?

Similarly, if an IPv4/6 Address or Attached Subnet data item appears with
Flags=Drop, but the  given address has never been added (or has previously
been dropped), should it be ignored, or is that an error?

Our implementation currently treats these as errors, but this isn't
supported by the DLEP draft.   It would be somewhat simpler for us to treat
these cases as no-ops, not errors.  I think either interpretation works, but
whatever the answer, I suggest that the intended handling be made explicit
in the draft.  Possible wording added to the description of the Flags field
of these data items:

"If it is a new address, but the address already exists on the destination
or peer, the data item is ignored.  If it is an address withdrawal, but the
address does not exist on the destination or peer, the data item is
ignored."

David

---

From: Rick Taylor <[email-masked]>
Date: Thu, 4 Aug 2016 13:01:37 +0000

Hi David,

That's a very good point.  In all my implementations I ignore if a
duplicate is added or an unknown is removed, but you are right that it
is unclear in the doc - good catch!

Stan and/or I will have to update, but I expect the 'ignore' behaviour
rather than 'error' will be the way it gets written up.

Cheers,

Rick

On Thu, 2016-08-04 at 12:52 +0000, Wiggins, David - 0665 - MITLL wrote:
> When an IPv4/6 Address or Attached Subnet data item appears with
> Flags=Add, but the  given address has already been added, should it
> be ignored, or is that an error?
> 
> Similarly, if an IPv4/6 Address or Attached Subnet data item appears
> with Flags=Drop, but the  given address has never been added (or has
> previously been dropped), should it be ignored, or is that an error?
> 
> supported by the DLEP draft.   It would be somewhat simpler for us to
> treat these cases as no-ops, not errors.  I think either
> interpretation works, but whatever the answer, I suggest that the
> intended handling be made explicit in the draft.  Possible wording
> added to the description of the Flags field of these data items:
> 
> "If it is a new address, but the address already exists on the
> destination or peer, the data item is ignored.  If it is an address
> withdrawal, but the address does not exist on the destination or
> peer, the data item is ignored."
> 
> David
> 
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet

---

From: "Ratliff, Stanley" <[email-masked]>
Date: Thu, 4 Aug 2016 13:06:44 +0000

David, 

Ditto what Rick said. We put the draft back into AD review with the -24 version, so I'm not sure as to the exact timing of the change (I can't give you an ETA). But we'll work that out. 

Regards,
Stan

> -----Original Message-----
> From: manet [mailto:[email-masked]] On Behalf Of Rick Taylor
> Sent: Thursday, August 04, 2016 9:02 AM
> To: [email-masked]; [email-masked]
> Subject: Re: [manet] DLEP IP addr redundant add/drop question
> 
> Hi David,
> 
> That's a very good point.  In all my implementations I ignore if a duplicate is
> added or an unknown is removed, but you are right that it is unclear in the
> doc - good catch!
> 
> Stan and/or I will have to update, but I expect the 'ignore' behaviour rather
> than 'error' will be the way it gets written up.
> 
> Cheers,
> 
> Rick
> 
> > Flags=Add, but the  given address has already been added, should it be
> > ignored, or is that an error?
> >
> > withdrawal, but the address does not exist on the destination or peer,
> > the data item is ignored."
> >
> > David
> >

_____________________________________________________
This electronic message and any files transmitted with it contains
information from iDirect, which may be privileged, proprietary
and/or confidential. It is intended solely for the use of the individual
or entity to whom they are addressed. If you are not the original
recipient or the person responsible for delivering the email to the
intended recipient, be advised that you have received this email
in error, and that any use, dissemination, forwarding, printing, or
copying of this email is strictly prohibited. If you received this email
in error, please delete it and immediately notify the sender.
_____________________________________________________

---

From: "Wiggins, David - 0665 - MITLL" <[email-masked]>
Date: Thu, 4 Aug 2016 13:15:43 +0000

Hi Stan and Rick,

Sounds good to me.  Thanks.

David

On 8/4/16, 9:06 AM, "Ratliff, Stanley" <[email-masked]> wrote:

>David, 
>
>Ditto what Rick said. We put the draft back into AD review with the -24
>version, so I'm not sure as to the exact timing of the change (I can't
>give you an ETA). But we'll work that out.
>
>Regards,
>Stan
>
>>duplicate is
>>rather